#!/usr/bin/python
import sys
import glob
sys.path.append('/usr/lib/xen-default/lib/python/')
import xen.xm
import xen.xm.XenAPI
import xen.xend.XendClient

server = xen.xm.XenAPI.Session(xen.xend.XendClient.uri)

def findPort(name):
    states = server.xend.domains_with_state(True, 'all', 1)
    for state in states:
        if dict(state[1:])['name'] == name:
            for (key,value) in state[1:]:
                if key == 'device' and value[0] == 'vfb':
                    location=dict(value[1:]).get('location')
                    return location

if __name__ == '__main__':
    print findPort("moo3")
